# Ogre::FontPtr Class Reference
Resources

Specialisation of SharedPtr to allow SharedPtr to be assigned to FontPtr. More...

`#include <OgreFont.h>`

Inheritance diagram for Ogre::FontPtr:
[legend]

List of all members.

## Public Member Functions

| FontPtr ()
| FontPtr (Font *rep)
| FontPtr (const FontPtr &r)
| FontPtr (const ResourcePtr &r)
FontPtr & | operator= (const ResourcePtr &r)
| Operator used to convert a ResourcePtr to a FontPtr.
Font & | operator* () const
Font * | operator-> () const
Font * | get () const
void | bind (Font *rep, SharedPtrFreeMethod inFreeMethod=SPFM_DELETE)
| Binds rep to the SharedPtr.
bool | unique () const
unsigned int | useCount () const
unsigned int * | useCountPointer () const
Font * | getPointer () const
SharedPtrFreeMethod | freeMethod () const
bool | isNull (void) const
void | setNull (void)

## Protected Member Functions

void | release (void)
virtual void | destroy (void)
virtual void | swap (SharedPtr< Font > &other)

## Protected Attributes

Font * | pRep
unsigned int * | pUseCount
SharedPtrFreeMethod | useFreeMethod

## Detailed Description

Specialisation of SharedPtr to allow SharedPtr to be assigned to FontPtr.

Note:
  Has to be a subclass since we need operator=. We could templatise this instead of repeating per Resource subclass, except to do so requires a form VC6 does not support i.e. ResourceSubclassPtr<T> : public SharedPtr<T>

Definition at line 400 of file OgreFont.h.

## Constructor & Destructor Documentation

Ogre::FontPtr::FontPtr | ( |  | ) |

Definition at line 403 of file OgreFont.h.

Ogre::FontPtr::FontPtr | ( | Font * | rep | ) | `[explicit]`

Definition at line 404 of file OgreFont.h.

Ogre::FontPtr::FontPtr | ( | const FontPtr & | r | ) |

Definition at line 405 of file OgreFont.h.

Ogre::FontPtr::FontPtr | ( | const ResourcePtr & | r | ) |

Definition at line 406 of file OgreFont.h.

References Ogre::SharedPtr< T >::getPointer(), OGRE_COPY_AUTO_SHARED_MUTEX, OGRE_LOCK_MUTEX, OGRE_MUTEX_CONDITIONAL, and Ogre::SharedPtr< T >::useCountPointer().

## Member Function Documentation

void Ogre::SharedPtr< Font >::bind | ( | Font * | rep,
|  | SharedPtrFreeMethod | inFreeMethod = `SPFM_DELETE`
| ) |  | `[inherited]`

Binds rep to the SharedPtr.

Remarks:
  Assumes that the SharedPtr is uninitialised!

Definition at line 167 of file OgreSharedPtr.h.

virtual void Ogre::SharedPtr< Font >::destroy | ( | void |  | ) | `[protected, virtual, inherited]`

Definition at line 223 of file OgreSharedPtr.h.

SharedPtrFreeMethod Ogre::SharedPtr< Font >::freeMethod | ( |  | ) | const`[inherited]`

Definition at line 181 of file OgreSharedPtr.h.

Font * Ogre::SharedPtr< Font >::get | ( | void |  | ) | const`[inherited]`

Definition at line 161 of file OgreSharedPtr.h.

Font * Ogre::SharedPtr< Font >::getPointer | ( |  | ) | const`[inherited]`

Definition at line 180 of file OgreSharedPtr.h.

bool Ogre::SharedPtr< Font >::isNull | ( | void |  | ) | const`[inherited]`

Definition at line 183 of file OgreSharedPtr.h.

Font & Ogre::SharedPtr< Font >::operator* | ( |  | ) | const`[inherited]`

Definition at line 159 of file OgreSharedPtr.h.

Font * Ogre::SharedPtr< Font >::operator-> | ( |  | ) | const`[inherited]`

Definition at line 160 of file OgreSharedPtr.h.

FontPtr& Ogre::FontPtr::operator= | ( | const ResourcePtr & | r | ) |

Operator used to convert a ResourcePtr to a FontPtr.

Definition at line 423 of file OgreFont.h.

References Ogre::SharedPtr< T >::getPointer(), Ogre::SharedPtr< T >::isNull(), OGRE_COPY_AUTO_SHARED_MUTEX, OGRE_LOCK_MUTEX, OGRE_MUTEX_CONDITIONAL, and Ogre::SharedPtr< T >::useCountPointer().

void Ogre::SharedPtr< Font >::release | ( | void |  | ) | `[protected, inherited]`

Definition at line 197 of file OgreSharedPtr.h.

void Ogre::SharedPtr< Font >::setNull | ( | void |  | ) | `[inherited]`

Definition at line 185 of file OgreSharedPtr.h.

virtual void Ogre::SharedPtr< Font >::swap | ( | SharedPtr< Font > & | other | ) | `[protected, virtual, inherited]`

Definition at line 247 of file OgreSharedPtr.h.

bool Ogre::SharedPtr< Font >::unique | ( |  | ) | const`[inherited]`

Definition at line 176 of file OgreSharedPtr.h.

unsigned int Ogre::SharedPtr< Font >::useCount | ( |  | ) | const`[inherited]`

Definition at line 177 of file OgreSharedPtr.h.

unsigned int* Ogre::SharedPtr< Font >::useCountPointer | ( |  | ) | const`[inherited]`

Definition at line 178 of file OgreSharedPtr.h.

## Member Data Documentation

Font * Ogre::SharedPtr< Font >::pRep `[protected, inherited]`

Definition at line 63 of file OgreSharedPtr.h.

unsigned int* Ogre::SharedPtr< Font >::pUseCount `[protected, inherited]`

Definition at line 64 of file OgreSharedPtr.h.

SharedPtrFreeMethod Ogre::SharedPtr< Font >::useFreeMethod `[protected, inherited]`

Definition at line 65 of file OgreSharedPtr.h.

The documentation for this class was generated from the following file:

- OgreFont.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun May 8 2011 20:28:11